#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCmessageDialog.h>
#include <WSCvlabel.h>

extern WSCmessageDialog* newmess_002;
extern WSCvlabel* newvlab_001;

void btn1_ep(WSCbase* object){
  //do something...
  //대화상자를 표시합니다.
  long ret_val = newmess_002->popup();
  if (ret_val == WS_DIALOG_OK){
    //대화상자의 OK 단추가 눌리은 경우입니다.
    //옆의 라벨에 표시합니다.
    newvlab_001->setProperty(WSNlabelString,"대화상자 OK!");
  }else if (ret_val == WS_DIALOG_CANCEL){
    //대화상자의 CANCEL 단추가 눌리은 경우입니다.
    //옆의 라벨에 표시합니다.
    newvlab_001->setProperty(WSNlabelString,"대화상자 CANCEL!");
  }
}
static WSCfunctionRegister  op("btn1_ep",(void*)btn1_ep);
